Bug 127718 - Synaptics touchpad (?) gggggggggggenerates repeat characters
Synaptics touchpad (?) gggggggggggenerates repeat characters
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-07-12 16:55 EDT by Horst H. von Brand
Modified: 2015-01-04 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 00:06:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2004-07-12 16:55:40 EDT
Description of problem:
Toshiba M-30 notebook. Just getting the hand near the touchpad seems
to have the effect ilustrated. Sometimes.

Version-Release number of selected component (if applicable):

How reproducible:
Around once for each typed line in xemacs, for instance

Steps to Reproduce:
1. Type something, get near touchpad
Actual results:
rrrrrepeateddddd charrrs

Expected results:
No repeats.

Additional info:
Comment 1 Barry K. Nathan 2004-07-14 01:27:49 EDT
Have you tested previous Fedora Core or Red Hat releases, or MS
Windows, to make sure the problem does not happen with any of those?
Hardware failure can cause this type of thing. (I'm not saying it
can't be software, just that it would be helpful to know whether or
not it happens with some other version of the Linux kernel or with
some other non-Linux operating systme.)
Comment 2 Dmitry Torokhov 2005-03-22 16:11:27 EST
It looks like Satellite's KBCs can not handle data from Synaptics at full rate, 
setting rate to 40 resolves keyboard issues.

This patch should take care of setting lower rate automatically:

Comment 3 Dave Jones 2005-04-16 00:06:23 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.